@echo off
chcp 1252 >nul 2>nul
color f0

rem Enter path to extracted rom here
set rom=\\nas.fritz.box\nas\Sicherung\Mobile Gerte\Gerte\HUAWEI Nexus 6P\Flashen\Latest-Stock

cls
echo ==============================================================================
echo Factory Image Flasher for Nexus/Pixel by TimeTurn ---- Last change: 2017-03-01
echo ------------------------------------------------------------------------------
echo INSTRUCTIONS: Extract Factory Image to the folder of this script, but DO NOT
echo               extract image-^<codename^>-^<version^>.zip! Place TWRP image into
echo               the folder if it should be flashed afterwards. Bootloader and
echo               radio are detected automatically. Delete them if you don't want
echo               them to be flashed or replace them.
echo ==============================================================================
echo.

if exist=="%rom%" goto path_ok

echo ERROR: ROM path not set properly. Please edit script.
goto goout

:path_ok
del "%temp%\flash*.txt" >nul 2>nul

dir /b "%rom%\bootloader*.img" >"%temp%\flash-bootloader.txt" 2>nul
dir /b "%rom%\radio*.img" >"%temp%\flash-radio.txt" 2>nul
dir /b "%rom%\image-*.zip" >"%temp%\flash-image.txt" 2>nul
dir /b "%rom%\twrp-*.img" >"%temp%\flash-twrp.txt" 2>nul

set /p bootloader= <"%temp%\flash-bootloader.txt" >nul 2>nul
set /p radio= <"%temp%\flash-radio.txt" >nul 2>nul
set /p image= <"%temp%\flash-image.txt" >nul 2>nul
set /p twrp= <"%temp%\flash-twrp.txt" >nul 2>nul

del "%temp%\flash*.txt" >nul 2>nul

if exist=="%rom%\%image%" goto image_ok

:image_err
echo ERROR: No factory image found. Press any key to end script
goto goout

:image_ok	
if exist=="%rom%\%bootloader%" echo Found Bootloader...: %bootloader%
if exist=="%rom%\%radio%" echo Found Radio........: %radio%
echo Found Image........: %image%
if exist=="%rom%\%twrp%" echo Found TWRP.........: %twrp%
echo.
echo Ready to flash. Boot Phone into Bootloader and press any key to start.
pause >nul

if exist=="%rom%\%bootloader%" (
	echo.
	echo Flashing bootloader "%bootloader%"...
	echo.
	fastboot flash bootloader "%rom%\%bootloader%"
	fastboot reboot-bootloader >nul 2>nul
)

if exist=="%rom%\%radio%" (
	echo.
	echo Flashing radio "%radio%"...
	echo.
	fastboot flash radio "%rom%\%radio%"
	fastboot reboot-bootloader >nul 2>nul
)

echo.
set /p wipe="Ready to flash main image. Wipe while flashing? [Y/N] -> "

echo.
if %wipe%==y (
	set wipeswitch=-w
	echo Wipe activated. Phone will be completely wiped inlcluding internal memory.
) else (
	echo Wipe not activated. Phone data will be left intact.
)
echo.
echo Note that loading the image to the phone needs some time, so please be patient.
echo.
fastboot %wipeswitch% update "%rom%\%image%"

if exist=="%rom%\%twrp%" (
	echo.
	echo System should be booting right now.
	echo.
	echo To flash "%twrp%", wait till boot
	echo has finished and reboot manually to bootloader.
	echo.
	fastboot flash recovery "%rom%\%twrp%"
)

echo.
echo All done.

:goout
echo.
echo Press any key to end.
pause >nul
